# 
# $Id$
# 
# [ Description ]
# 
# Makefile
# 
# DIR_MORPHEO must be defined

Register_unit_Glue			= yes

ifndef Behavioural
include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
endif

#-----[ Library ]------------------------------------------
Register_unit_Glue_LIBRARY		= 	-lRegister_unit_Glue	\
					$(Behavioural_LIBRARY)	

Register_unit_Glue_DIR_LIBRARY		=	-L$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/lib	\
					$(Behavioural_DIR_LIBRARY)

#-----[ Rules ]--------------------------------------------

Register_unit_Glue_library		: 
				@\
				$(MAKE) Behavioural_library; \
				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue --makefile=Makefile;
	
Register_unit_Glue_library_clean	: 
				@\
				$(MAKE) Behavioural_library_clean; \
				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue --makefile=Makefile clean;
